Hah! Who needs PPAs? I have my own multimedia+ repo!

Everything about X, Gnome, KDE, ... and everything running on it

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2017-10-26 18:49

Upgrading ffmpeg to 3.4 for Stretch...builds fail on the Jessie base, so sticking to ffmpeg 3.3.4 there until I figure it out, if ever. I can however build 3.4 on my own laptop for Jessie-based MX 16, at least for amd64. Trying the 32-bit build as I type.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Krita 3.3.2.1, Pale Moon 27.6.0, Audacity 2.2.0, mpv 0.27.0, Corebird 1.7.1, Firefox 57.0, SMPlayer 17.11.2
User avatar
stevepusser
 
Posts: 8938
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2017-10-31 16:52

Added glmark2 openGL benchmarking tool. Known limitation: discrete GPUs on Optimus systems read much lower than the integrated Intel GPU. Use glxspheres(64) for that instead, which I am going to add with the virtualgl package soon.

also added paint program Krita 3.3.1 from upstream Debian.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Krita 3.3.2.1, Pale Moon 27.6.0, Audacity 2.2.0, mpv 0.27.0, Corebird 1.7.1, Firefox 57.0, SMPlayer 17.11.2
User avatar
stevepusser
 
Posts: 8938
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby Innovate » 2017-11-05 12:15

Thanks for updated Azpainter 2.1.1. I'm appreciated.
Steve, can you package this thing? I've discovered new treasure this moment.

Review
https://www.youtube.com/watch?v=BOnK0Koe4vo

Sources:
http://rpgpapermaker.gq/
https://github.com/RPG-Paper-Maker/RPG-Paper-Maker
https://www.facebook.com/rpgpapermaker/

Rarirty: ***** stars
None any distro package this yer not even AUR.
Github have linux archive binary though but it'd better if you can build deb package on repo.
If you can package this one we MX & Debian become have new stuffs than Arch sometimes. :mrgreen:
User avatar
Innovate
 
Posts: 126
Joined: 2015-12-27 01:28
Location: /dev/urandom

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2017-11-05 20:00

I will take a look at it, but plan to put it in a separate repo if I can package it correctly.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Krita 3.3.2.1, Pale Moon 27.6.0, Audacity 2.2.0, mpv 0.27.0, Corebird 1.7.1, Firefox 57.0, SMPlayer 17.11.2
User avatar
stevepusser
 
Posts: 8938
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2017-11-08 02:05

Updating Krita to latest 3.3.2.1 release.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Krita 3.3.2.1, Pale Moon 27.6.0, Audacity 2.2.0, mpv 0.27.0, Corebird 1.7.1, Firefox 57.0, SMPlayer 17.11.2
User avatar
stevepusser
 
Posts: 8938
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby roseway » 2017-11-08 12:15

Thanks for that Steve. I hadn't used your repository before, but I set it up to upgrade Krita, and it was painless and much appreciated.
Eric
User avatar
roseway
 
Posts: 1481
Joined: 2007-12-31 22:50
Location: Kent, UK

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2017-11-13 20:49

Audacity upgraded to 2.2.0 and obs-studio to 20.1.1 for both Jessie and Stretch. :)
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Krita 3.3.2.1, Pale Moon 27.6.0, Audacity 2.2.0, mpv 0.27.0, Corebird 1.7.1, Firefox 57.0, SMPlayer 17.11.2
User avatar
stevepusser
 
Posts: 8938
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby Lysander » 2017-11-25 11:35

Steve, thank you so much for this and for qmplay2. It's the only youtube streaming client I have found that works for me in Stretch.

I am getting an error on start

QtSvg module doesn't exist.
QMPlay2 will not display icons!


This does not prevent the player from working, however.

Now I can find quite a few qtsvg modules. Which is the best to install?
Code: Select all
lysander@psychopig-xxxiii:~$ apt-cache search qtsvg
kde-cli-tools - tools to use KDE services from the command line
kde-cli-tools-data - tools to use kioslaves from the command line
python-pyqt5.qtsvg - Python 2 bindings for Qt5's SVG module
python-pyqt5.qtsvg-dbg - Python 2 bindings for Qt5's SVG module (debug extension)
python3-pyqt5.qtsvg - Python 3 bindings for Qt5's SVG module
python3-pyqt5.qtsvg-dbg - Python 3 bindings for Qt5's SVG module (debug extension)
python-pyside.qtsvg - Qt 4 SVG module - Python bindings
python3-pyside.qtsvg - Qt 4 SVG module - Python3 bindings
python-qt4 - Python bindings for Qt4
python3-pyqt4 - Python3 bindings for Qt4
libqt4-svg - Qt 4 SVG module
libqt5svg5 - Qt 5 SVG module
libqt5svg5-dev - Qt 5 SVG module development files
qtsvg5-dbg - Qt 5 SVG library debugging symbols
qtsvg5-doc - Qt 5 SVG documentation
qtsvg5-doc-html - Qt 5 SVG HTML documentation
qtsvg5-examples - Qt 5 SVG examples
libsmokeqtsvg4-3 - Qt Svg SMOKE library
Last edited by Lysander on 2017-11-25 17:34, edited 1 time in total.
User avatar
Lysander
 
Posts: 364
Joined: 2017-02-23 10:07
Location: London

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2017-11-25 17:22

Argghh---looks like the dependency was added back in April. I'll add it as a hard depends, since it doesn't get added automagically like the others.

For Qt 4 builds like mine, the correct package is libqt4-svg. If the program is built against Qt 5, I'd try adding libqt5svg5-dev to the build-depends and see if the runtime gets added to the dependencies automatically, as is usually the case, before trying the manual addition.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Krita 3.3.2.1, Pale Moon 27.6.0, Audacity 2.2.0, mpv 0.27.0, Corebird 1.7.1, Firefox 57.0, SMPlayer 17.11.2
User avatar
stevepusser
 
Posts: 8938
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby Lysander » 2017-11-25 17:34

stevepusser wrote:For Qt 4 builds like mine, the correct package is libqt4-svg.


This sorted it out. Thank you, Steve.

One more question - I've come across one YouTube video that asks you to sign in. Is there any way sign in to play such videos? It gives this message

Youtube DL

rOGegx9bDjk: YouTube said: Please sign in to view this video.
User avatar
Lysander
 
Posts: 364
Joined: 2017-02-23 10:07
Location: London

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2017-11-25 20:05

Lysander wrote:
stevepusser wrote:For Qt 4 builds like mine, the correct package is libqt4-svg.


This sorted it out. Thank you, Steve.

One more question - I've come across one YouTube video that asks you to sign in. Is there any way sign in to play such videos? It gives this message

Youtube DL

rOGegx9bDjk: YouTube said: Please sign in to view this video.


I did an update to qmplay2 in the repo to add that dependency automatically from now on.

I encountered a Youtube video like that once before, and nothing I tried could view or download it outside a browser. AFAIK, qmplay2 keeps the internal version of youtube-dl that it uses updated, so I assume that's some "mature content" video like a violent video game trailer that I encountered. But maybe they are working around that, too...needs some research.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Krita 3.3.2.1, Pale Moon 27.6.0, Audacity 2.2.0, mpv 0.27.0, Corebird 1.7.1, Firefox 57.0, SMPlayer 17.11.2
User avatar
stevepusser
 
Posts: 8938
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2017-11-25 20:06

Vidcutter-5.0.0 added for Stretch only, since Jessie's python 3 is too old.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Krita 3.3.2.1, Pale Moon 27.6.0, Audacity 2.2.0, mpv 0.27.0, Corebird 1.7.1, Firefox 57.0, SMPlayer 17.11.2
User avatar
stevepusser
 
Posts: 8938
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby Lysander » 2017-11-26 00:06

stevepusser wrote:
I did an update to qmplay2 in the repo to add that dependency automatically from now on.

I encountered a Youtube video like that once before, and nothing I tried could view or download it outside a browser. AFAIK, qmplay2 keeps the internal version of youtube-dl that it uses updated, so I assume that's some "mature content" video like a violent video game trailer that I encountered. But maybe they are working around that, too...needs some research.


Indeed, I just added your repo and downloaded QMplay2 to my netbook and it was added automatically.

No matter about the signing in, to be honest since it happens very rarely. Curiously enough, the video that requested it was an Iraqi wedding dance video.
User avatar
Lysander
 
Posts: 364
Joined: 2017-02-23 10:07
Location: London

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2017-12-12 02:54

Today's QMPlay2 17.12.11 release is built for Stretch. This new version mandates use of Qt 5 >= 5.6.3, so Stretch just squeaks in, no more Qt 4 builds, and Jessie builds are no longer feasible.

drop support for Qt < 5.6, CMake < 3.1, and FFmpeg < 2.5,
add Ukrainian translation file (Alexey Lugin),
update Russian translation file (victorr2007),
more mouse interaction with system tray,
remove already fixed Qt bug workarounds,
use Qt5 JSON parser instead of Json11,
add Toast notifications for Android,
simplify LineEdit using Qt 5.2 API,
remove SoundCloud and ProstoPleer,
use "QCommandLineParser".
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Krita 3.3.2.1, Pale Moon 27.6.0, Audacity 2.2.0, mpv 0.27.0, Corebird 1.7.1, Firefox 57.0, SMPlayer 17.11.2
User avatar
stevepusser
 
Posts: 8938
Joined: 2009-10-06 05:53

Previous

Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 7 guests

fashionable